Name:           perl-Module-Install-AuthorTests
Version:        0.002
Release:        18
Summary:        Assign tests only run by module authors
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Module-Install-AuthorTests
Source0:        https://cpan.metacpan.org/authors/id/R/RJ/RJBS/Module-Install-AuthorTests-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  perl-generators perl(inc::Module::Install) perl(ExtUtils::MakeMaker)
BuildRequires:  perl(File::Spec) perl(Carp) perl(Module::Install::Base) perl(Module::Install)
BuildRequires:  perl(Test::More)

Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires:       perl(Module::Install)

%description
This package is used to assign tests in ./xt directory should be run 
only if the module is being built by an author.

%package_help

%prep
%autosetup -n Module-Install-AuthorTests-%{version} -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
chmod -Rf a+rX,u+w,g-w,o-w $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes README
%{perl_vendorlib}/*

%files help
%{_mandir}/man3/*

%changelog
* Wed Jan 8 2020 openEuler Buildteam <buildteam@openeuler.org> - 0.002-18
- Package init

